<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Thu Jun 07 14:32:06 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PrestamoClass</title>
<meta name="date" content="2018-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PrestamoClass";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PrestamoClass.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Negocio/BookProcess.html" title="class in Negocio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Negocio/PrestamosProcess.html" title="class in Negocio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Negocio/PrestamoClass.html" target="_top">Frames</a></li>
<li><a href="PrestamoClass.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Negocio</div>
<h2 title="Class PrestamoClass" class="title">Class PrestamoClass</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Negocio.PrestamoClass</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">PrestamoClass</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#PrestamoClass-int-java.lang.String-java.lang.String-java.sql.Date-java.sql.Date-">PrestamoClass</a></span>(int&nbsp;id,
             java.lang.String&nbsp;isbn,
             java.lang.String&nbsp;nCarnet,
             java.sql.Date&nbsp;fechaSalida,
             java.sql.Date&nbsp;fechaDevolucion)</code>
<div class="block">Constructor de clase <br></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#PrestamoClass-java.lang.String-java.lang.String-java.sql.Date-">PrestamoClass</a></span>(java.lang.String&nbsp;isbn,
             java.lang.String&nbsp;nCarnet,
             java.sql.Date&nbsp;fechaSalida)</code>
<div class="block">Constructor de clase <br></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#PrestamoClass-java.lang.String-java.lang.String-java.sql.Date-java.sql.Date-">PrestamoClass</a></span>(java.lang.String&nbsp;isbn,
             java.lang.String&nbsp;nCarnet,
             java.sql.Date&nbsp;fechaSalida,
             java.sql.Date&nbsp;fechaDevolucion)</code>
<div class="block">Constructor de clase <br></div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.sql.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#getFechaDevolucion--">getFechaDevolucion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.sql.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#getFechaSalida--">getFechaSalida</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#getId--">getId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#getIsbn--">getIsbn</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#getnCarnet--">getnCarnet</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#setFechaDevolucion-java.sql.Date-">setFechaDevolucion</a></span>(java.sql.Date&nbsp;fechaDevolucion)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#setFechaSalida-java.sql.Date-">setFechaSalida</a></span>(java.sql.Date&nbsp;fechaSalida)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#setIsbn-java.lang.String-">setIsbn</a></span>(java.lang.String&nbsp;isbn)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#setnCarnet-java.lang.String-">setnCarnet</a></span>(java.lang.String&nbsp;nCarnet)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PrestamoClass-int-java.lang.String-java.lang.String-java.sql.Date-java.sql.Date-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PrestamoClass</h4>
<pre>public&nbsp;PrestamoClass(int&nbsp;id,
                     java.lang.String&nbsp;isbn,
                     java.lang.String&nbsp;nCarnet,
                     java.sql.Date&nbsp;fechaSalida,
                     java.sql.Date&nbsp;fechaDevolucion)</pre>
<div class="block">Constructor de clase <br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - integer identificador</dd>
<dd><code>isbn</code> - String numero de referencia de libro</dd>
<dd><code>nCarnet</code> - Strin numero de carnet de un usuario</dd>
<dd><code>fechaSalida</code> - Date fecha de salida de prestamo</dd>
<dd><code>fechaDevolucion</code> - Date fecha de devolucion de prestamo</dd>
</dl>
</li>
</ul>
<a name="PrestamoClass-java.lang.String-java.lang.String-java.sql.Date-java.sql.Date-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PrestamoClass</h4>
<pre>public&nbsp;PrestamoClass(java.lang.String&nbsp;isbn,
                     java.lang.String&nbsp;nCarnet,
                     java.sql.Date&nbsp;fechaSalida,
                     java.sql.Date&nbsp;fechaDevolucion)</pre>
<div class="block">Constructor de clase <br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isbn</code> - String numero de referencia de un libro</dd>
<dd><code>nCarnet</code> - String numero de carnet de un usuario</dd>
<dd><code>fechaSalida</code> - Date fecha de salida de prestamo</dd>
<dd><code>fechaDevolucion</code> - Date fecha de devolucion de prestamo</dd>
</dl>
</li>
</ul>
<a name="PrestamoClass-java.lang.String-java.lang.String-java.sql.Date-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PrestamoClass</h4>
<pre>public&nbsp;PrestamoClass(java.lang.String&nbsp;isbn,
                     java.lang.String&nbsp;nCarnet,
                     java.sql.Date&nbsp;fechaSalida)</pre>
<div class="block">Constructor de clase <br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isbn</code> - String numero de referencia de un libro</dd>
<dd><code>nCarnet</code> - String numero de carnet de un usuario</dd>
<dd><code>fechaSalida</code> - Date fecha de salida de un prestamo</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getIsbn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIsbn</h4>
<pre>public&nbsp;java.lang.String&nbsp;getIsbn()</pre>
</li>
</ul>
<a name="setIsbn-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIsbn</h4>
<pre>public&nbsp;void&nbsp;setIsbn(java.lang.String&nbsp;isbn)</pre>
</li>
</ul>
<a name="getnCarnet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getnCarnet</h4>
<pre>public&nbsp;java.lang.String&nbsp;getnCarnet()</pre>
</li>
</ul>
<a name="setnCarnet-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setnCarnet</h4>
<pre>public&nbsp;void&nbsp;setnCarnet(java.lang.String&nbsp;nCarnet)</pre>
</li>
</ul>
<a name="getFechaSalida--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFechaSalida</h4>
<pre>public&nbsp;java.sql.Date&nbsp;getFechaSalida()</pre>
</li>
</ul>
<a name="setFechaSalida-java.sql.Date-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFechaSalida</h4>
<pre>public&nbsp;void&nbsp;setFechaSalida(java.sql.Date&nbsp;fechaSalida)</pre>
</li>
</ul>
<a name="getFechaDevolucion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFechaDevolucion</h4>
<pre>public&nbsp;java.sql.Date&nbsp;getFechaDevolucion()</pre>
</li>
</ul>
<a name="setFechaDevolucion-java.sql.Date-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFechaDevolucion</h4>
<pre>public&nbsp;void&nbsp;setFechaDevolucion(java.sql.Date&nbsp;fechaDevolucion)</pre>
</li>
</ul>
<a name="getId--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;int&nbsp;getId()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PrestamoClass.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Negocio/BookProcess.html" title="class in Negocio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Negocio/PrestamosProcess.html" title="class in Negocio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Negocio/PrestamoClass.html" target="_top">Frames</a></li>
<li><a href="PrestamoClass.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
